Skip to main content
GET
/
v0
/
orders
/
{id}
Get order details
curl --request GET \
  --url https://api.sfcompute.com/v0/orders/{id} \
  --header 'Authorization: Bearer <token>'
{
  "object": "order",
  "id": "order_xyz789",
  "side": "buy",
  "status": "open",
  "instance_type": "h100i",
  "quantity": 4,
  "start_at": "2021-01-01T00:00:00Z",
  "end_at": "2021-01-01T01:00:00Z",
  "price": 2850000,
  "flags": {
    "market": false,
    "post_only": false,
    "ioc": false
  },
  "executed": false,
  "cancelled": false,
  "colocate_with": [],
  "created_at": "2021-01-01T00:00:00Z",
  "rejected": false
}

Documentation Index

Fetch the complete documentation index at: https://docs.sfcompute.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Create an API token using sf tokens create or at https://sfcompute.com/account/api-keys.

Path Parameters

id
string
required

Order ID

Pattern: ordr_[0-9a-zA-Z_-]{1,21}
Example:

"ordr_k3R-nX9vLm7Qp2Yw5Jd8F"

Response

Order details

object
enum<string>
required
Available options:
order
Example:

"order"

id
string
required
Pattern: ordr_[0-9a-zA-Z_-]{1,21}
Example:

"ordr_k3R-nX9vLm7Qp2Yw5Jd8F"

side
enum<string>
required
Available options:
buy,
sell
status
enum<string>
required
Available options:
open,
filled,
cancelled,
rejected
instance_type
string
required
Examples:

"h100i"

"h100v"

"h200ki"

quantity
integer<int32>
required
Example:

4

start_at
string<date-time>
required

An ISO 8601 datetime string

Example:

"2025-07-11T20:41:37.423Z"

end_at
string<date-time>
required

An ISO 8601 datetime string

Example:

"2025-07-11T20:41:37.423Z"

price
integer<int64>
required

Price in cents

Example:

2850000

flags
object
required

Configure more fine grained order behavior.

executed
boolean
required
cancelled
boolean
required
created_at
string<date-time>
required

An ISO 8601 datetime string

Example:

"2025-07-11T20:41:37.423Z"

rejected
boolean
required
duration
integer<int64>
required

Unix timestamp.

Example:

1738972800

executed_at
null | string<date-time>

An ISO 8601 datetime string

Example:

"2025-07-11T20:41:37.423Z"

execution_price
integer<int64> | null
cancelled_at
null | string<date-time>

An ISO 8601 datetime string

Example:

"2025-07-11T20:41:37.423Z"

colocate_with
string[]
Pattern: cont_[0-9a-zA-Z_-]{1,21}
rejected_reason
string | null
cluster
null | string
Example:

"richmond"